unit PxReg32;

(*****************************************************************************
Copyright  1997 Dieter Nth
version    : 1.02
date       : 19.07.1997
description:
******************************************************************************)

interface

procedure Register;

implementation

uses WinTypes, SysUtils, Classes, Forms,
     DsgnIntf, LibConst,
     dnPxMask, dnPxProp, dnDBPxM;

type
{ TPdoxMaskProperty }

  TPxMaskProperty = class(TStringProperty)
  public
    function  GetAttributes: TPropertyAttributes; override;
    procedure Edit; override;
  end;

{ TPdoxMaskProperty }

function TPxMaskProperty.GetAttributes: TPropertyAttributes;
begin
  Result := inherited GetAttributes + [paDialog] - [paSubProperties];
end;

procedure TPxMaskProperty.Edit;
var
  Str : String;
  dlg : TdlgPxMaskEditor;
begin
  dlg := TdlgPxMaskEditor.Create(application);
  try
    dlg.edtMask.Text := GetValue;
    dlg.edtTest.PxMask := dlg.edtMask.Text;
    if dlg.ShowModal = idOK then
    begin
      Str := dlg.edtMask.Text;
      if GetValue <> Str then
      begin
        SetValue (Str);
        Designer.modified;
      end;
    end;
  finally
    dlg.Free;
  end;
end;

{ *** Register *** }
procedure Register;
begin
  RegisterComponents(LoadStr(srAdditional), [TPxMaskEdit]);
  RegisterComponents(LoadStr(srDAccess), [TPxTable]);
  RegisterComponents(LoadStr(srDControls), [TDBPxEdit]);
  RegisterPropertyEditor(TypeInfo(string), TCustomPxMaskEdit, 'PxMask', TPxMaskProperty);
end;

end.
